org.apache.commons.math.exception.util

## Class ArgUtils

- java.lang.Object
- - org.apache.commons.math.exception.util.ArgUtils

    public class ArgUtils
    extends java.lang.Object

Utility class for transforming the list of arguments passed to constructors of exceptions.

Since:
  2.2
Version:
  $Revision$ $Date$

### Constructor Summary

Constructors
`private` `ArgUtils()` Private constructor

### Method Summary

Methods
`static java.lang.Object[]` `flatten(java.lang.Object[] array)` Transform a multidimensional array into a one-dimensional list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArgUtils

    private ArgUtils()

Private constructor

### Method Detail

#### flatten

    public static java.lang.Object[] flatten(java.lang.Object[] array)

Transform a multidimensional array into a one-dimensional list.

Parameters:
  `array` - Array (possibly multidimensional).
Returns:
  a list of all the `Object` instances contained in `array`.